Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 6 sur 6

Discussion: Erreur avec Axis2

  1. #1
    Nouveau Membre du Club Avatar de sisiniya
    Inscrit en
    décembre 2007
    Messages
    223
    Détails du profil
    Informations forums :
    Inscription : décembre 2007
    Messages : 223
    Points : 34
    Points
    34

    Par défaut Erreur avec Axis2

    Bonjour,

    Je souhaite créer un client web via Axis 2 (en générant le code source Java depuis un WSDL) mais j'ai un problème lors de la génération Axis 2.

    J'ai ajouté le plug-in Axis2 :
    - j'ai mis le .war de Axis2 dans le répertoire webapps de Tomcat,
    - j'ai ajouté dans le dossier plugins d'Eclipse, le plugin Axis2CodegenWizard1.3.0

    J'ai créé un projet Web et jusque là tout va bien.

    Par contre, quand je fais un clic droit > Axis2 > axis2 Code Generator sur le projet et que je suis à la dernière étape, au moment où je clique sur 'Finish', j'obtiens l'erreur :
    An error occured while completing process-java.lang.reflect.InvocationTargetException
    Quelqu'un saurait-il m'indiquer d'où peut venir le problème ?

    Merci d'avance pour votre aide.
    Images attachées Images attachées

  2. #2
    Modérateur
    Avatar de Gueritarish
    Homme Profil pro Marc
    Développeur Java
    Inscrit en
    mai 2007
    Messages
    1 800
    Détails du profil
    Informations personnelles :
    Nom : Homme Marc
    Âge : 30
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations professionnelles :
    Activité : Développeur Java
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : mai 2007
    Messages : 1 800
    Points : 3 510
    Points
    3 510

    Par défaut

    Salut,

    Alors, je ne sais pas si ça va corriger ton erreur, mais le plug-in de génération de code d'Axis à beaucoup de mal avec les espaces relatifs au workspace. Je te conseille donc de lui dire de générer tes classes dans un dossier système plutôt.

    Ensuite, sache que quand tu déposes un plug-in dans Eclipse, sans passer par un update site, il est plus propre de le faire dans le dossier "dropins" (depuis Eclipse 3.4). Bien sûr, si ta version d'Eclipse est antérieure à la 3.4, ne tiens pas compte de ce conseil

    Voilà, à+
    Gueritarish
    Pas de questions technique par MP, les forums sont là pour ça.

  3. #3
    Nouveau Membre du Club Avatar de sisiniya
    Inscrit en
    décembre 2007
    Messages
    223
    Détails du profil
    Informations forums :
    Inscription : décembre 2007
    Messages : 223
    Points : 34
    Points
    34

    Par défaut

    Merci pour votre réponse... Effectivement, j'ai essayé de faire ce que vous m'avez dit, mais l'Erreur est encore présente... Vraiment, elle m'a énervé, car ça fait plusieurs semaines que je tente à la résoudre, mais vainement... Je n'arrive pas à avancer dans mon projet à cause de cette Erreur Gênante !

  4. #4
    Modérateur
    Avatar de Gueritarish
    Homme Profil pro Marc
    Développeur Java
    Inscrit en
    mai 2007
    Messages
    1 800
    Détails du profil
    Informations personnelles :
    Nom : Homme Marc
    Âge : 30
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations professionnelles :
    Activité : Développeur Java
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : mai 2007
    Messages : 1 800
    Points : 3 510
    Points
    3 510

    Par défaut

    Ce qu'il te faudrait faire:
    Ouvrir le jar du plug-in Axis2 et vérifier dans le fichier META-INF/MANIFEST.MF s'il n'y a pas des dépendances présentes dans le fichier qui ne sont pas présentes dans le dossier plugins d'Eclipse.
    S'il te manque des dépendances, il te faudrait les télécharger pour les ajouter dans le dossier plugins.

    Voilà, à+
    Gueritarish
    Pas de questions technique par MP, les forums sont là pour ça.

  5. #5
    Nouveau Membre du Club Avatar de sisiniya
    Inscrit en
    décembre 2007
    Messages
    223
    Détails du profil
    Informations forums :
    Inscription : décembre 2007
    Messages : 223
    Points : 34
    Points
    34

    Par défaut

    Le fichier META-INF/MANIFEST.MF ne contient que ces deux lignes de code :
    Code :
    1
    2
    3
     
    Manifest-Version: 1.0
    Class-Path:
    Donc, je ne sais pas si ça signifie qu'il y a des dépendance ou non ?

    Merci pour vos réponse.

  6. #6
    Membre du Club
    Profil pro
    Inscrit en
    avril 2009
    Messages
    132
    Détails du profil
    Informations personnelles :
    Localisation : Cameroun

    Informations forums :
    Inscription : avril 2009
    Messages : 132
    Points : 66
    Points
    66

    Par défaut

    Bonjour,

    Cette discussion date mais bon, il existe un tutoriel pour générer un web service via Axis 2 : http://heliejf.developpez.com/

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •